
Figure - Bug #114221
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【图库】打开图库应用不显示状态栏，由图库小窗切换为全屏时，会出现图库配置条上方预
留了状态栏位置的情况
2022-11-30 16:42 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-30

Priority: High Due date: 2023-02-10

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0052.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302011304

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 产生该问题的原因是由于从freeform向fullscreen切换的时候,有时候应用会relaunch,导致DecorCaptionView会重新构建,但是上一个DecorCaptionView还没有被销毁,从而导致的DecorCaption的高度会被设置DecorView中,占用了一段高度

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开图库应用

2、打开图库小窗

3、点击全屏按钮

【预期结果】

1、待确认

3、待确认

【实际结果】

1、图库应用全屏时不显示状态栏

3、由图库小窗切换为全屏时，会出现图库配置条上方预留了状态栏位置的情况（见截图）

History

#1 - 2022-12-05 17:14 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to DL FW-张挽强

■ Current conclusion

编写Demo验证，全屏应用启动小窗模式后，通过小窗左上角入口进入全屏后都会出现一个statusBar占位高度。

■ My analysis

小窗模式进入全屏模式，针对全屏应用需要特殊处理

■ Next action

请小窗同事分析一下小窗模式进入全屏的设计逻辑，是否需要对全屏应用独立处理。

2025-07-04 1/3



#2 - 2022-12-05 17:39 - CDTS-TEST 周婷

- Target version set to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

#3 - 2022-12-09 15:11 - CD TPM-王祥林

- Target version changed from MCE_V4.0update_20221215(原VC1_FSE_Vdec1219) to VX1_MCE_FSE_V5.0_20221230

挽强，

请优先开发动效和详细设计书。这个问题可以放到下个版本里解决。

#4 - 2022-12-22 16:45 - CD FW-王伟

- Category changed from CD-APP to 窗口定制

#5 - 2022-12-27 11:02 - DL FW-张挽强

■ My analysis

问题的原因主要是关于设置全屏的应用，在悬浮窗通过setwindowmode（原生的方法）没有去重新计算statusbar的高度，导致所有的应用都预留statusbar的

高度。这个需要设计一个统一的方案去实现

应用设置了fullscreen启动，影响范围比较大，这个版本不建议修改

#6 - 2022-12-27 17:59 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_V5.0_20221230 to VX1_MCE_FSE_C sample_20230113

#7 - 2022-12-29 19:38 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

#8 - 2023-01-05 15:17 - CDTS-TEST 周婷

- Target version deleted (VX1_MCE_FSE_C sample_20230113)

#9 - 2023-01-11 21:19 - CD FW 曹覃刚

- Due date set to 2023-02-10

#10 - 2023-01-31 16:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178353 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix decorcaption heightwhen change start windowing from freeform to fullscreen, it willholder a caption height sometimes, so the toolbar

position isn'tcorrectTC-RID: 1201-0204601IssueID: TS-R-BUG-114221Change-Id: I9adb7561ddd2558135cfa27f582e806ba4860b92

#11 - 2023-01-31 17:03 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红
- Resolution changed from -- to FIXED

- Root cause set to 产生该问题的原因是由于从freeform向fullscreen切换的时候,有时候应用会relaunch,导致DecorCaptionView会重新构建,但是上一

个DecorCaptionView还没有被销毁,从而导致的DecorCaption的高度会被设置DecorView中,占用了一段高度

■ Current conclusion

问题已经解决

■ My analysis

产生该问题的原因是由于从freeform向fullscreen切换的时候,有时候应用会relaunch,导致DecorCaptionView会重新构建,但是上一个DecorCaptionView还没有被

销毁,从而导致的DecorCaption的高度会被设置DecorView中,占用了一段高度

解决问题的方法是在DecorCaptionView重新构建时,更新DecorCaptionView的cofig,让其获取到的高度为0

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/178353

#12 - 2023-02-01 18:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302011304

2.1

验证通过

#13 - 2023-02-01 18:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

图库状态栏.jpg 388 KB 2022-11-30 CD TEST-方永红
